summaryrefslogtreecommitdiffstats
path: root/client/shared/scripts/deployImage
diff options
context:
space:
mode:
Diffstat (limited to 'client/shared/scripts/deployImage')
-rwxr-xr-xclient/shared/scripts/deployImage19
1 files changed, 13 insertions, 6 deletions
diff --git a/client/shared/scripts/deployImage b/client/shared/scripts/deployImage
index 15392ec7..16a403cc 100755
--- a/client/shared/scripts/deployImage
+++ b/client/shared/scripts/deployImage
@@ -8,13 +8,20 @@ if [ $# -lt 4 ]; then
fi
#controlar param1 REPO
-
+echo "Realizando un updateCache REPO $2.img $5 $6"
updateCache REPO $2.img $5 $6
-if [ $? != "0" ]
+RETVAL=$?
+if [ "$RETVAL" != "0" ]
then
- echo "fin del updateCache REPO $2.img $5 $6 con errores"
- exit 1
+ echo "fin del updateCache REPO $2.img $5 $6 con error $RETVAL"
+ # RC=15 No hay cache
+ # RC=16 no hay espacio sufiente
+ exit $RETVAL
+
else
- echo "comenzamos con restoreImage CACHE $2 $3 $4"
- restoreImage CACHE $2 $3 $4
+ echo "iniciando un ogRestore CACHE desde deployImage"
+ ogRestoreImage CACHE /$2 $3 $4
+ RETVAL=$?
+ [ "$RETVAL" == "0" ] && configureOs $3 $4
+ exit $RETVAL
fi \ No newline at end of file